EDIT - feature request #4682

[DISCUSS] Do we need an explanation/reason field in RelationBase

03/05/2015 04:02 PM - Andreas Miller

Status: New Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 10%
Category: cdm Estimated time: 3:00 hours
Target version: CDM UML - Next major release

Severity: normal

Description

Some relations such as TaxonRelations are opinion. We may want to have a field to verbally explain why an author thinks that this

relation exists/is correct.

Needed e.g. by Moose #4670

Currently we use Annotations for this. But this may not be enough.

It needs to be discussed which RelationBase classes do need such a field.

see also #4681

History

#1 - 03/05/2015 04:03 PM - Andreas Miiller

- Subject changed from [DISCUSS] Do we need an explanation field in RelationBase to [DISCUSS] Do we need an explanation/reason field in

RelationBase

#2 - 06/04/2015 02:20 PM - Andreas Miiller
- Target version deleted (CDM UML 3.6)

#3 - 05/02/2016 03:45 PM - Andreas Miiller
- Target version changed from CDM UML 4.0 to CDM UML 4.1

#4 - 07/08/2016 08:53 PM - Andreas Miiller
- Priority changed from New to Priority14

#5 - 12/01/2016 02:21 PM - Andreas Kohlbecker
- Description updated

#6 - 12/01/2016 02:21 PM - Andreas Kohlbecker
- Target version changed from CDM UML 4.1 to CDM UML 4.7

#7 - 06/07/2017 01:23 AM - Andreas Miiller
- Target version changed from CDM UML 4.7 to CDM UML 5.0

#8 - 05/14/2018 01:55 PM - Andreas Miiller
- Target version changed from CDM UML 5.0 to CDM UML 5.5

#9 - 01/19/2019 12:34 AM - Andreas Miiller
- Priority changed from Priority14 to Priority13

#10 - 05/05/2019 11:19 AM - Andreas Miiller
- Target version changed from CDM UML 5.5 to CDM UML 5.15

#11 - 06/23/2020 02:53 PM - Andreas Miiller
- Target version changed from CDM UML 5.15 to CDM UML 5.43

#13 - 03/11/2022 06:23 PM - Andreas Miiller

- Due date set to 03/29/2022

- Priority changed from Priority13 to Highest

- Target version changed from CDM UML 5.43 to Release 5.31
- Start date set to 03/24/2022

- Estimated time set to 3:00 h

- Parent task set to #2934

- Severity changed from normal to major

Dicussion/implementation should be done in 5.31 to have it available for RL import in case we implement it.

#14 - 04/05/2022 12:46 PM - Andreas Miiller

- Private changed from Yes to No

#15 - 04/05/2022 12:46 PM - Andreas Miiller

- Tags set to redlist

#16 - 04/05/2022 02:52 PM - Andreas Miiller

- Description updated

#18 - 04/05/2022 06:16 PM - Andreas Miiller

- Target version changed from Release 5.31 to CDM UML - Next major release
- % Done changed from 0 to 10

- Parent task deleted (#2934)

- Severity changed from major to normal

We will not implement this for "Moose" therefore remove it from parent and link it instead. Move to UML milestone

#19 - 04/05/2022 06:16 PM - Andreas Miiller
- Due date deleted (03/29/2022)
- Start date deleted (03/24/2022)
